Bug 40087 - Makefile in kioslave/help doesn't install customization dir
Summary: Makefile in kioslave/help doesn't install customization dir
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-10 15:17 UTC by j. alan eldridge
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 15:37:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description j. alan eldridge 2001-05-10 15:17:03 UTC
Description of Problem:

Install the source rpm. cd kdelibs/kioslave/help. From the Makefile:

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/ksgmltools2
	@echo "****************************************************"
	@echo "** WARNING: I INSTALL LINKS HERE FOR EASIER DEVEL **"
	@echo "** REMEMBER ME TO INSTALL THE FILES WHEN WE COME  **"
	@echo "** NEAR A RELEASE.                  THANKS, COOLO **"
	@echo "****************************************************"
	@pwd=`cd $(srcdir) && pwd` ;\
	rm -rf $(DESTDIR)$(kde_datadir)/ksgmltools2/docbook ;\
	$(LN_S) $$pwd/docbook 
$(DESTDIR)$(kde_datadir)/ksgmltools2/docbook ;\
	rm -rf $(DESTDIR)$(kde_datadir)/ksgmltools2/customization ;\
	$(LN_S) $$pwd/customization 
$(DESTDIR)$(kde_datadir)/ksgmltools2/customization

	#-rm -rf $(DESTDIR)$(kde_datadir)/ksgmltools2/docbook
	#cp -r $(srcdir)/docbook $(DESTDIR)$(kde_datadir)/ksgmltools2
	#-rm -rf $(DESTDIR)$(kde_datadir)/ksgmltools2/customization
	#cp -r $(srcdir)/customization 
$(DESTDIR)$(kde_datadir)/ksgmltools2


Without this directory, help does not work. (I don't know if it works yet 
with it in place, but I know it doesn't without it).


Oh, BTW, there's an X-server core file in the kdelibs source RPM. :)


How Reproducible:

Install a binary RPM built from this source RPM. Help is broken.

Comment 1 j. alan eldridge 2001-05-10 15:37:08 UTC
Whoops. That directory to change to should be kdebase*/kioslave/help. And 
FWIW, it is still broken (partly). Bringing up help from the panel gets a SEGV 
in the kioslave but help from (at least some) apps works now.

I'll open a new bug for the SEGV once I know why it's happening and how to fix 
it.

Comment 2 Bernhard Rosenkraenzer 2001-05-22 18:23:51 UTC
Fixed in 2.2-0.alpha2.1



Note You need to log in before you can comment on or make changes to this bug.